Bug 170575 - grub fails on one of two sata disks of raid1 set during install with error 16
grub fails on one of two sata disks of raid1 set during install with error 16
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-12 19:03 EDT by Willem Riede
Modified: 2008-05-06 20:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:14:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
'od' of first 10k of /dev/sda (2.07 KB, text/plain)
2005-10-12 19:04 EDT, Willem Riede
no flags Details
'od' of first 10k of /dev/sdb (780 bytes, text/plain)
2005-10-12 19:05 EDT, Willem Riede
no flags Details

  None (edit)
Description Willem Riede 2005-10-12 19:03:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Doing a custom partitioning, during install, I made /dev/md0 out of /dev/sda1 and sdb1, and at the end of install grub was run on both disks:

grub> root (hd1,0)
filesystem is ext2fs, partition type 0xfd
grub> install /boot/grub/stage1 d (hd1) /boot/grub/stage2 p
(hd1,0)/boot/grub/grub.conf
grub> root (hd0,0)
filesystem is ext2fs, partition type 0xfd
grub> install /boot/grub/stage1 d (hd0) /boot/grub/stage2 p
(hd0,0)/boot/grub/grub.conf
Error 16: Inconsistent filesystem structure
grub>

The system did not boot. With a grub floppy and giving:

grub> root (hd0,0)
grub> configfile /boot/grub/grub.conf

I could boot.


Version-Release number of selected component (if applicable):
grub-0.95-15

How reproducible:
Didn't try

Steps to Reproduce:
1.install rawhide x86_64 10/11 on opteron with two sata disks
2.do custom partitioning and create raid1 device for / out of /dev/sda1 and /dev/sdb1
3.watch grub fail at the end of installation
  

Actual Results:  error 16 was reported on console <alt>-F5 and box did not boot after install complete

Expected Results:  grub should have succeeded on both disks and the box should have booted

Additional info:

fdisk -l output:

Disk /dev/sda: 37.0 GB, 37019566080 bytes
255 heads, 63 sectors/track, 4500 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1        3916    31455238+  fd  Linux raid autodetect
/dev/sda2            3917        4170     2040255   82  Linux swap / Solaris

Disk /dev/sdb: 37.0 GB, 37019566080 bytes
255 heads, 63 sectors/track, 4500 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1   *           1        3916    31455238+  fd  Linux raid autodetect
/dev/sdb2            3917        4170     2040255   82  Linux swap / Solaris
Comment 1 Willem Riede 2005-10-12 19:04:51 EDT
Created attachment 119863 [details]
'od' of first 10k of /dev/sda
Comment 2 Willem Riede 2005-10-12 19:05:43 EDT
Created attachment 119864 [details]
'od' of first 10k of /dev/sdb
Comment 3 Kevin Stussman 2005-12-01 13:06:09 EST
I am having the exact same problem. When I use up2date to install a new kernel,
the machine will hang with the word "GRUB" after POST. I have to use a rescue
disk to re-install the boot block. (grub --version : grub (GNU GRUB 0.95))


The system is running 2.6.9-22.0.1.ELsmp, dual Xeon using software raid-1 on an
IBM e336 with two SATA drives. After doing a "fdisk -l" I am getting unexpected
messages about invalid partition tables:

-------------

# fdisk -l

Disk /dev/sda: 160.0 GB, 160041885696 bytes
255 heads, 63 sectors/track, 19457 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1          13      104391   fd  Linux raid autodetect
/dev/sda2              14         535     4192965   fd  Linux raid autodetect
/dev/sda3             536       19457   151990965   fd  Linux raid autodetect

Disk /dev/sdb: 160.0 GB, 160041885696 bytes
255 heads, 63 sectors/track, 19457 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1   *           1          13      104391   fd  Linux raid autodetect
/dev/sdb2              14         535     4192965   fd  Linux raid autodetect
/dev/sdb3             536       19457   151990965   fd  Linux raid autodetect

Disk /dev/md0: 106 MB, 106823680 bytes
2 heads, 4 sectors/track, 26080 cylinders
Units = cylinders of 8 * 512 = 4096 bytes

    Device Boot      Start         End      Blocks   Id  System

Disk /dev/md2: 155.6 GB, 155638628352 bytes
2 heads, 4 sectors/track, 37997712 cylinders
Units = cylinders of 8 * 512 = 4096 bytes

Disk /dev/md2 doesn't contain a valid partition table

Disk /dev/md1: 4293 MB, 4293525504 bytes
2 heads, 4 sectors/track, 1048224 cylinders
Units = cylinders of 8 * 512 = 4096 bytes

Disk /dev/md1 doesn't contain a valid partition table
# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/md2              143G  2.0G  134G   2% /
/dev/md0               99M   22M   73M  23% /boot
none                  506M     0  506M   0% /dev/shm
Comment 4 David Tonhofer 2006-08-24 16:45:07 EDT
Just cross-referencing this

Bug #191449 NEW install grub incorrect when /boot is a RAID1 device
>> Bug #170575 NEW grub fails on one of two sata disks of raid1 set during i...
Bug #163460 NEW Installation failed on RAID setup (GRUB error 15 and fail...
Bug #160563 NEW "grub-install /dev/md0" does not install on second disk i...
Bug #114690 CLOSED/RAWHIDE grub-install won't install to RAID 1
Comment 5 Bug Zapper 2008-04-03 12:30:29 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-05-06 20:14:53 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.